/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SeriesDescription } from "./SeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicMapSeriesHostDescription extends SeriesDescription {
    constructor() {
        super();
        this.bs = 0;
        this.bu = null;
    }
    get_type() {
        return "GeographicMapSeriesHost";
    }
    get visibleFromScale() {
        return this.bs;
    }
    set visibleFromScale(a) {
        this.bs = a;
        this.e("VisibleFromScale");
    }
    get coercionMethodsRef() {
        return this.bu;
    }
    set coercionMethodsRef(a) {
        this.bu = a;
        this.e("CoercionMethodsRef");
    }
}
GeographicMapSeriesHostDescription.$t = markType(GeographicMapSeriesHostDescription, 'GeographicMapSeriesHostDescription', SeriesDescription.$);
